org.codehaus.groovy.runtime.powerassert

## Class Value

- java.lang.Object
- - org.codehaus.groovy.runtime.powerassert.Value

-     public class Value
      extends java.lang.Object

  A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value(java.lang.Object value, int column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()`
    `java.lang.Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value(java.lang.Object value,
                       int column)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

    - #### getColumn

          public int getColumn()